List document-templates

Query Parameters
  • include
    Type: string

    Comma-separated. Allowed: background_image

  • filter[search]
    Type: string
  • filter[binding_type]
    Type: string
  • filter[ids]
    Type: string
  • sort
    Type: string

    Allowed: name, created_at

  • page[number]
    Type: integer

    Integer numbers.

  • page[size]
    Type: integer

    Integer numbers.

Responses
  • application/vnd.api+json
  • 401

    Unauthorized

  • 403

    Forbidden

Request Example for get/api/v1/document-templates
curl 'https://b.anny.co/api/v1/document-templates?include=&filter%5Bsearch%5D=&filter%5Bbinding_type%5D=&filter%5Bids%5D=&sort=&page%5Bnumber%5D=1&page%5Bsize%5D=1'
{
  "data": [
    {
      "id": "string",
      "type": "document-templates",
      "attributes": {
        "name": "string",
        "binding_type": "string",
        "width": 1,
        "height": 1,
        "canvas": {},
        "preview_image": null,
        "created_at": "string"
      },
      "links": {
        "self": "https://example.com"
      },
      "relationships": {
        "background_image": {
          "data": {
            "type": "string",
            "id": "string"
          },
          "links": {
            "self": "https://example.com"
          }
        }
      }
    }
  ],
  "meta": {},
  "links": {}
}